﻿package
{
	import flash.display.*;
	import flash.events.Event;
	import flash.net.*;
	
	import org.papervision3d.materials.*;
	import org.papervision3d.materials.utils.MaterialsList;
	import org.papervision3d.objects.DisplayObject3D;
	import org.papervision3d.objects.primitives.Cube;
	import org.papervision3d.objects.primitives.Plane;
	import org.papervision3d.render.QuadrantRenderEngine;
	import org.papervision3d.scenes.*;
	import org.papervision3d.view.Viewport3D;
	
	public class Main extends Sprite
	{
		private var planeParameter:Array;
		public var test:Number = 31;
		private var scene:Scene3D;
		private var camera:AbaisCamera3D;
		private var viewport:Viewport3D;
		private var rendererQuadrant:QuadrantRenderEngine;
		
		private var monCube:Cube;
		private var murContainer:DisplayObject3D;
		
		private var solQuadrille:Plane = new Plane(null,700,700,5,5);
		
		private var chargeur:URLLoader = new URLLoader();

		
		public function Main()
		{
			
			stage.align=StageAlign.TOP_LEFT;
			stage.scaleMode=StageScaleMode.NO_SCALE;
			
			scene = new Scene3D();
			
			viewport = new Viewport3D(800,600,false,true,false);
			addChild(viewport);
			
			camera = new AbaisCamera3D(this.stage,1000,75);
			
			chargeur.load(new URLRequest("Monde.xml"));
			chargeur.addEventListener(Event.COMPLETE, xmlHandler);
			
			murContainer = new DisplayObject3D();
			
			solQuadrille.material = new BitmapFileMaterial('grille.png');
			solQuadrille.material.smooth = true;
			solQuadrille.rotationX = 90;
			scene.addChild(solQuadrille);

	
			rendererQuadrant = new QuadrantRenderEngine(3);
			
			this.addEventListener(Event.ENTER_FRAME,enterFrameHandler);
			
		}
		
		private function xmlHandler(event:Event):void
		{
			var xml:XML = new XML(event.target.data);
			var murList:XMLList = xml.mur;
			
			for each (var mur:XML in murList) {	
				var _mur:Mur = new Mur(mur.@x,mur.@y,mur.@x2,mur.@y2);
				murContainer.addChild(_mur);
			}
			scene.addChild(murContainer);
			murContainer.x = -350;
			murContainer.y = 51;
			murContainer.z = -350;

		}
		
		private function enterFrameHandler(e:Event):void
		{
			rendererQuadrant.renderScene(scene, camera, viewport);
		}

	}
}