package
{

   	import org.papervision3d.materials.BitmapFileMaterial;
   	import org.papervision3d.objects.primitives.Plane;
	
	public class Mur extends Plane
	{
		private var materiau:BitmapFileMaterial = new BitmapFileMaterial('image_0.jpg');
        
		public function Mur(ix:int,iy:int, ix2:int, iy2:int)
		{

			materiau.doubleSided = true;
			
			var vecteurX:Number = ix2 - ix;
			var vecteurY:Number = iy2 - iy;
			
			var middleX:Number = ix + vecteurX/2;
			var middleY:Number = iy + vecteurY/2;
			
			var rotY:Number = Math.atan2(vecteurX,vecteurY)*180/Math.PI + 90;
			
			var _width:Number = Math.sqrt(Math.pow(vecteurX,2) + Math.pow(vecteurY,2));
			
			super(materiau, _width, 100, 0, 0);
			this.x = middleX;
			this.z = middleY;
			this.rotationY = rotY;
			
		}

	}
}